
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/main}">
<head>
    <title>Question Create</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <script  src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js"></script>
</head>

<div layout:fragment="content">

    <!-- Main Content -->
    <div id="content">

        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-12">
                <h2>Create Question & Answers</h2>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="question/paper/1">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a>Question</a>
                    </li>
                    <li class="breadcrumb-item active">
                        <strong>Create</strong>
                    </li>
                </ol>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="wrapper wrapper-content animated fadeInUp">
                    <form class="user" action="#" th:action="@{/question/create}" th:object="${question}" method="post">
                        <input type="hidden" th:field="*{id}"/>
                    <div class="ibox">
                        <div class="ibox-title">
                            <h5>Number	Answer</h5>
                            <div class="ibox-tools">
                                <button type="submit" class="btn btn-primary btn-xs" name="addAnswer">Add Row</button>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div role="alert" th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="alert alert-danger text-danger" >Question Error</div>
                            <div role="alert" th:if="${#fields.hasErrors('round')}" th:errors="*{round}" class=" alert alert-danger text-danger" >Round Error</div>
                            <div class="row m-b-sm m-t-sm">
                                <div class="col-md-1">
                                   <label class="col-form-label"> Question</label>
                                </div>
                                <div class="col-md-11">
                                    <div class="input-group">

                                        <input type="text" placeholder="Question" th:field="*{name}" class="form-control-sm form-control">

                                        <div class="form-group col-md-3 col-xs-4 col-sm-3 row">
                                            <label class="col-sm-2 col-form-label">Round</label>

                                            <div class="col-sm-10">
                                                <select class="form-control m-b" th:field="*{round}">
                                                    <option th:value="1" th:text="1"></option>
                                                    <option th:value="2" th:text="2"></option>
                                                    <option th:value="3" th:text="3"></option>
                                                    <option th:value="4" th:text="4"></option>
                                                    <option th:value="5" th:text="5"></option>
                                                </select>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="project-list">

                                <table class="table table-hover">
                                    <tbody>
                                    <tr th:each="answer, rowStat : *{answers}">
                                        <input type="hidden" th:field="*{answers[__${rowStat.index}__].id}"/>
                                        <td class="project-status">
                                            <!--<span class="label label-primary" th:text="${rowStat.count}" th:field="*{answers[__${rowStat.index}__].number}" >1</span>-->
                                            <input type="text" class="form-control-sm form-control" th:field="*{answers[__${rowStat.index}__].number}" th:value="${rowStat.count}" />
                                        </td>
                                        <td class="project-title">
                                            <input type="text" class="form-control-sm form-control" th:field="*{answers[__${rowStat.index}__].name}" placeholder="answer..."/>
                                        </td>
                                        <td>
                                            <label> <input type="checkbox" class="i-checks" th:field="*{answers[__${rowStat.index}__].status}"> Select Answer </label>

                                        </td>
                                        <td class="project-completion">
                                            <small>Use for SunQuick Fresh food: 98%</small>
                                            <div class="progress progress-mini">
                                                <div style="width: 98%;" class="progress-bar"></div>
                                            </div>
                                        </td>
                                        <td class="project-people">
                                            <img src="img/sunquick/sun_qucik_bottel_banner.jpg" style="height: 50px; width: auto" >
                                        </td>
                                        <td class="project-actions">
                                            <button type="submit" name="removeRow" th:value="${rowStat.index}" class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i> Delete </button>

                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="box-footer">
                                <button type="submit" class="btn btn-success btn-sm">Submit</button>


                                <button type="reset" class="btn btn-primary btn-sm" th:if="*{id == null}">Reset</button>

                                <a th:href="@{|/question/list|}" class="btn btn-warning btn-sm" th:if="*{id != null}" >Cancel</a>

                            </div>

                        </div>
                    </div>
                    </form>
                </div>
            </div>
        </div>



    </div>
    <!-- End of Main Content -->



</div>
</html>